ru.bitel.bgbilling.modules.onpay.server.bean

## Class TransactionManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.onpay.server.bean.TransactionManager

-     public class TransactionManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transaction` | `getTransaction(int id)` Получение транзакции по ее коду
    `java.util.List<Transaction>` | `getTransactionList(int contractId, java.util.Date fromDate, java.util.Date toDate)` Получение общего списка транзакций, в зависимости от подаваемых в фильтр условий
    `void` | `searchTransactionList(SearchResult<Transaction> searchResult, int onpayId, int contractId)`
    `void` | `updateTransaction(Transaction transaction)` Добавление/Обновление данных транзакции в базе.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionManager

          public TransactionManager(java.sql.Connection con,
                                    int mid)

  - ### Method Detail

    - #### searchTransactionList

          public void searchTransactionList(SearchResult<Transaction> searchResult,
                                            int onpayId,
                                            int contractId)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransactionList

          public java.util.List<Transaction> getTransactionList(int contractId,
                                                                java.util.Date fromDate,
                                                                java.util.Date toDate)
                                                         throws ru.bitel.bgbilling.common.BGException

      Получение общего списка транзакций, в зависимости от подаваемых в фильтр условий
      Parameters:
        `fromDate` - от какой даты смотреть транзакции
        `toDate` - по какую дату смотреть транзакции
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          public Transaction getTransaction(int id)
                                     throws ru.bitel.bgbilling.common.BGException

      Получение транзакции по ее коду
      Parameters:
        `transactionId` - код транзакции
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTransaction

          public void updateTransaction(Transaction transaction)
                                 throws ru.bitel.bgbilling.common.BGException

      Добавление/Обновление данных транзакции в базе.
      Parameters:
        `transaction` - обновляемая транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`